<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";


if (!checkrights("IP")) fallback("../index.php");

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."attachments_admin/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."attachments_admin/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."attachments_admin/locale/English.php";
}
if(isset($_POST['a_id']))$attachid = $_POST['a_id'];
if(!isset($page))$page = 1;

if (!checkrights("S3")) fallback("../index.php");
if (!isset($attachid)) fallback("../index.php");


$result = dbquery("SELECT * FROM ".$db_prefix."forum_attachments WHERE attach_id='".$attachid."'");
$attach = dbarray($result);
$filx = FORUM."attachments/".$attach['attach_name']."[".$attach['attach_id']."]".$attach['attach_ext'];
$imagez = $attach['attach_name']."[".$attach['attach_id']."]".$attach['attach_ext'];
include("ImageEditor.php");
if ($action == "resize"){
$imageEditor = new ImageEditor($filx, FORUM."attachments/");
$imageEditor->resize($_POST['nw'], $_POST['nh']);
$imageEditor->outputFile($imagez, FORUM."attachments/");
$newsize = filesize($filx);
dbquery("UPDATE ".$db_prefix."forum_attachments SET attach_size=$newsize WHERE attach_id='".$attach['attach_id']."'");
redirect(INFUSIONS."attachments_admin/edit_img.php?attachid=".$attachid);
}elseif ($action == "crop"){
$imageEditor = new ImageEditor($filx, FORUM."attachments/");
$imageEditor->crop($_POST['sxc'], $_POST['syc'], $_POST['nwc'], $_POST['nhc']);
$imageEditor->outputFile($imagez, FORUM."attachments/");
$newsize = filesize($filx);
dbquery("UPDATE ".$db_prefix."forum_attachments SET attach_size=$newsize WHERE attach_id='".$attach['attach_id']."'");
redirect(INFUSIONS."attachments_admin/edit_img.php?page=2&attachid=".$attachid);
}elseif ($action == "rotate"){
$imageEditor = new ImageEditor($filx, FORUM."attachments/");
$imageEditor->rotate($_POST['angle']);
$imageEditor->outputFile($imagez, FORUM."attachments/");
$newsize = filesize($filx);
dbquery("UPDATE ".$db_prefix."forum_attachments SET attach_size=$newsize WHERE attach_id='".$attach['attach_id']."'");
redirect(INFUSIONS."attachments_admin/edit_img.php?page=4&attachid=".$attachid);
}elseif ($action == "addtext"){
$col = array($_POST['rr'],$_POST['gg'],$_POST['bb']);
$imageEditor = new ImageEditor($filx, FORUM."attachments/");
$imageEditor->addText($_POST['addt'], $_POST['sxt'], $_POST['syt'], $col);
$imageEditor->outputFile($imagez, FORUM."attachments/");
$newsize = filesize($filx);
dbquery("UPDATE ".$db_prefix."forum_attachments SET attach_size=$newsize WHERE attach_id='".$attach['attach_id']."'");
redirect(INFUSIONS."attachments_admin/edit_img.php?page=3&attachid=".$attachid);
}

opentable($locale['ata200']);

$imageinfo = getimagesize($filx);
echo"<table width='60%' align='center' cellpadding='0' cellspacing='1' class='tbl-border'>
<tr>
<td width='20%' class='tbl2'>".$locale['ata204'].":</td>
<td class='tbl1'>".$attach['attach_name']."[".$attach['attach_id']."]".$attach['attach_ext']."</td></tr><tr>
<td width='20%' class='tbl2'>".$locale['ata223'].":</td>
<td class='tbl1'>".parsebytesize($attach['attach_size'])."</td></tr><tr>
<td width='20%' class='tbl2'>".$locale['ata218']."</td>
<td class='tbl1'>".$imageinfo[0]."</td></tr><tr>
<td width='20%' class='tbl2'>".$locale['ata219']."</td>
<td class='tbl1'>".$imageinfo[1]."</td>
</tr>";
echo "</table>";
closetable();
tablebreak();
opentable($locale['ata228']);
if ($page == 2 || $page == 3){
$dojava = "onmousedown='getMouseXY(event);'";
}
echo"<center><br>
<img name='theimage' src='".$filx."' ".$imageinfo[3]." ".$dojava.">
<br><br></center>";

closetable();
tablebreak();
opentable($attach['attach_name']."[".$attach['attach_id']."]".$attach['attach_ext']);
echo "<table align='center' width='100%' cellpadding='0' cellspacing='1' class='tbl-border'>\n<tr>\n";
for ($i=1;$i < 5;$i++){
echo "<td align='center' width='20%' class='".($page == $i ? "tbl1" : "tbl2")."'><span class='small'>\n";
echo ($page == $i ? "<b>".$locale[$i]."</b>" : "<a href='".FUSION_SELF."?page=".$i."&attachid=".$attach['attach_id']."'>".$locale[$i]."</a>")."</span></td>\n";
}
echo "<td align='center' width='100%' class='tbl1'>";
echo "</tr><tr>";
echo "<td align='center' width='100%' class='tbl2' colspan='5'>";
if ($page == 1){
echo "<br><br><form name='resize' method='post' action='".FUSION_SELF."?action=resize&attachid=".$attach['attach_id']."'>
<table align='center' width='200' cellspacing='0' cellpadding='0'>
<tr>
<td class='tbl'>".$locale['ata229']."</td>
<td class='tbl'><input type='text' name='nw' value='".$imageinfo[0]."' class='textbox' style='width:100px;'></td>
</tr>
<tr>
<td class='tbl'>".$locale['ata230']."</td>
<td class='tbl'><input type='text' name='nh' value='".$imageinfo[1]."' class='textbox' style='width:100px;'></td>
</tr>
<tr>
<td align='center' colspan='2' class='tbl'>
<input type='submit' name='resize' value='".$locale['1']."' class='button'></td>
</tr>
</table>
</form><br><br>\n";
}
if ($page == 2){
echo "<br><br><form name='crop' method='post' action='".FUSION_SELF."?action=crop&attachid=".$attach['attach_id']."'>
<center><i>".$locale['ata233']."</i><br><br></center>
<table align='center' width='200' cellspacing='0' cellpadding='0'>
<tr>
<td class='tbl'>".$locale['ata231']."</td>
<td class='tbl'><input type='text' name='sxc' value='' class='textbox' style='width:100px;'></td>
</tr>
<tr>
<td class='tbl'>".$locale['ata232']."</td>
<td class='tbl'><input type='text' name='syc' value='' class='textbox' style='width:100px;'></td>
</tr>
<tr>
<td class='tbl'>".$locale['ata229']."</td>
<td class='tbl'><input type='text' name='nwc' value='' class='textbox' style='width:100px;'></td>
</tr>
<tr>
<td class='tbl'>".$locale['ata230']."</td>
<td class='tbl'><input type='text' name='nhc' value='' class='textbox' style='width:100px;'></td>
</tr>
<tr>
<td align='center' colspan='2' class='tbl'>
<input type='submit' name='crop' value='".$locale['2']."' class='button'> 
</td>
</tr>
</table>
</form><br><br>\n";
}
if ($page == 3){

echo "<br><br><form name='addtext' method='post' action='".FUSION_SELF."?action=addtext&attachid=".$attach['attach_id']."'>
<center><i>".$locale['ata236']."</i><br><br></center>
<table align='center' width='300' cellspacing='0' cellpadding='0'>
<tr>
<td class='tbl'>".$locale['ata231']."</td>
<td class='tbl'><input type='text' name='sxt' value='' class='textbox' style='width:100px;'></td>
</tr>
<tr>
<td class='tbl'>".$locale['ata232']."</td>
<td class='tbl'><input type='text' name='syt' value='' class='textbox' style='width:100px;'></td>
</tr>
<tr>
<td class='tbl'>".$locale['ata237']."</td>
<td class='tbl'><input type='text' name='addt' value='' class='textbox' style='width:200px;'></td>
</tr>
<tr>
<td class='tbl'>".$locale['ata240']."</td>
<td class='tbl'>R <input type='text' name='rr' value='' class='textbox' style='width:30px;'>
G <input type='text' name='gg' value='' class='textbox' style='width:30px;'>
B <input type='text' name='bb' value='' class='textbox' style='width:30px;'><br>
<table bordercolor='gray' border='1'><tr><td bgcolor='black' style='width:15px;' onmousedown='getcolor(0,0,0);'>&nbsp;</td>
<td bgcolor='white' style='width:15px;' onmousedown='getcolor(255,255,255);'>&nbsp;</td><td bgcolor='red' style='width:15px;' onmousedown='getcolor(255,0,0);'>&nbsp;</td>
<td bgcolor='green' style='width:15px;' onmousedown='getcolor(0,255,0);'>&nbsp;</td><td bgcolor='blue' style='width:15px;' onmousedown='getcolor(0,0,255);'>&nbsp;</td>
<td bgcolor='brown' style='width:15px;' onmousedown='getcolor(165,42,42);'>&nbsp;</td><td bgcolor='yellow' style='width:15px;' onmousedown='getcolor(255,255,0);'>&nbsp;</td>
<td bgcolor='orange' style='width:15px;' onmousedown='getcolor(255,165,0);'>&nbsp;</td><td bgcolor='#CC0066' style='width:15px;' onmousedown='getcolor(204,0,102);'>&nbsp;</td>
</tr></table>
</td>
</tr>
<tr>
<td align='center' colspan='2' class='tbl'>
<input type='submit' name='addtext' value='".$locale['3']."' class='button'> 
</td>
</tr>
</table>
</form><br><br>\n";
}

if ($page == 4){
echo "<br><br><form name='rotate' method='post' action='".FUSION_SELF."?action=rotate&attachid=".$attach['attach_id']."'>
<table align='center' width='300' cellspacing='0' cellpadding='0'>
<tr>
<td class='tbl'>".$locale['ata241']."</td>
<td class='tbl'><input type='radio' name='angle' value='90'> 90 
<input type='radio' name='angle' value='180'> 180 
<input type='radio' name='angle' value='270'> 270
</td></tr>
<tr>
<td align='center' colspan='2' class='tbl'>
<input type='submit' name='rotate' value='".$locale['4']."' class='button'> 
</td>
</tr>
</table>
</form><br><br>\n";
}
echo "</td>";
echo"</table>\n";

echo "<br><center><a href='".INFUSIONS."attachments_admin/attachments_admin.php'>".$locale['ata226']."</a></center><br><br>";
closetable();
echo "</td>\n";
if ($page == 2){
echo "<script language='JavaScript1.2'>
<!--
var t = 120 // interval in seconds 
image = '".$filx."' //name of the image 
function Start() { 
tmp = new Date(); 
tmp = '?'+tmp.getTime() 
document.images['theimage'].src = image+tmp 
setTimeout('Start()', t*1000) 
} 
Start();       

function docjslib_getRealLeft(imgElem) {
	xPos = eval(imgElem).offsetLeft;
	tempEl = eval(imgElem).offsetParent;
  	while (tempEl != null) {
  		xPos += tempEl.offsetLeft;
  		tempEl = tempEl.offsetParent;
  	}
	return xPos;
}

function docjslib_getRealTop(imgElem) {
	yPos = eval(imgElem).offsetTop;
	tempEl = eval(imgElem).offsetParent;
	while (tempEl != null) {
  		yPos += tempEl.offsetTop;
  		tempEl = tempEl.offsetParent;
  	}
	return yPos;
}

var IE = document.all?true:false
if (!IE) document.captureEvents(Event.MOUSEMOVE)
var tempX = 0
var tempY = 0
var realX = 0
var realY = 0
var start = 0
function getMouseXY(e) {
  if (IE) { 
  
    tempX = event.clientX + document.body.scrollLeft
    tempY = event.clientY + document.body.scrollTop
	realX = docjslib_getRealLeft(theimage);
	realY = docjslib_getRealTop(theimage);
  } else {  
    tempX = e.pageX
    tempY = e.pageY
	realX = eval(theimage).x
	realY = eval(theimage).y
  }  
  if (tempX < 0){tempX = 0}
  if (tempY < 0){tempY = 0} 
  if (start == 0) { 
  document.crop.sxc.value = tempX - realX
  document.crop.syc.value = tempY - realY
  document.crop.nwc.value = '' 
  document.crop.nhc.value = ''
  start = 1
  }else{
  document.crop.nwc.value = (tempX - realX) - document.crop.sxc.value 
  document.crop.nhc.value = (tempY - realY) - document.crop.syc.value 
  if (document.crop.nwc.value < 0){
  document.crop.nwc.value = -((tempX - realX) - document.crop.sxc.value)
  document.crop.sxc.value = tempX - realX
  }
  if (document.crop.nhc.value < 0){
  document.crop.nhc.value = -((tempY - realY) - document.crop.syc.value)
  document.crop.syc.value = tempY - realY
  }
  start = 0
  }
  return true
}
//-->
</script>";
}
if ($page == 3){
echo "<script language='JavaScript1.2'>
<!--
var t = 120 // interval in seconds 
image = '".$filx."' //name of the image 
function Start() { 
tmp = new Date(); 
tmp = '?'+tmp.getTime() 
document.images['theimage'].src = image+tmp 
setTimeout('Start()', t*1000) 
} 
Start();       

function docjslib_getRealLeft(imgElem) {
	xPos = eval(imgElem).offsetLeft;
	tempEl = eval(imgElem).offsetParent;
  	while (tempEl != null) {
  		xPos += tempEl.offsetLeft;
  		tempEl = tempEl.offsetParent;
  	}
	return xPos;
}

function docjslib_getRealTop(imgElem) {
	yPos = eval(imgElem).offsetTop;
	tempEl = eval(imgElem).offsetParent;
	while (tempEl != null) {
  		yPos += tempEl.offsetTop;
  		tempEl = tempEl.offsetParent;
  	}
	return yPos;
}

var IE = document.all?true:false
if (!IE) document.captureEvents(Event.MOUSEMOVE)
var tempX = 0
var tempY = 0
var realX = 0
var realY = 0
var start = 0
function getMouseXY(e) {
  if (IE) { 
  
    tempX = event.clientX + document.body.scrollLeft
    tempY = event.clientY + document.body.scrollTop
	realX = docjslib_getRealLeft(theimage);
	realY = docjslib_getRealTop(theimage);
  } else {  
    tempX = e.pageX
    tempY = e.pageY
	realX = eval(theimage).x
	realY = eval(theimage).y
  }  
  if (tempX < 0){tempX = 0}
  if (tempY < 0){tempY = 0} 
  document.addtext.sxt.value = tempX - realX
  document.addtext.syt.value = tempY - realY
  
  return true
}

function getcolor(r,g,b){
document.addtext.rr.value = r
document.addtext.gg.value = g
document.addtext.bb.value = b
return true
}
//-->
</script>";
}
if ($page == 4){
echo "<script language='JavaScript1.2'>
<!--
var t = 120 // interval in seconds 
image = '".$filx."' //name of the image 
function Start() { 
tmp = new Date(); 
tmp = '?'+tmp.getTime() 
document.images['theimage'].src = image+tmp 
setTimeout('Start()', t*1000) 
} 
Start();
//-->
</script>";
}
require_once BASEDIR."footer.php";
?>