<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";


if (!checkrights("IP")) fallback("../index.php");

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."attachments_admin/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."attachments_admin/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."attachments_admin/locale/English.php";
}
if(isset($_POST['a_id']))$attachid = $_POST['a_id'];

if (!checkrights("S3")) fallback("../index.php");
if (!isset($attachid)) fallback("../index.php");


$result = dbquery("SELECT * FROM ".$db_prefix."forum_attachments WHERE attach_id='".$attachid."'");
$attach = dbarray($result);
$filx = FORUM."attachments/".$attach['attach_name']."[".$attach['attach_id']."]".$attach['attach_ext'];

if (isset($savetext)){
$handle = fopen($filx, "wb");
fwrite($handle, $_POST['file_body']);
fclose($handle);
$newsize = filesize($filx);
dbquery("UPDATE ".$db_prefix."forum_attachments SET attach_size=$newsize WHERE attach_id='".$attach['attach_id']."'");
redirect(INFUSIONS."attachments_admin/edit_txt.php?attachid=".$attachid);
}

$file_body = file_get_contents($filx);
opentable($locale['ata200']);
echo"<table width='60%' align='center' cellpadding='0' cellspacing='1' class='tbl-border'>
<tr>
<td width='20%' class='tbl2'>".$locale['ata204'].":</td>
<td class='tbl1'>".$attach['attach_name']."[".$attach['attach_id']."]".$attach['attach_ext']."</td></tr><tr>
<td width='20%' class='tbl2'>".$locale['ata223'].":</td>
<td class='tbl1'>".parsebytesize($attach['attach_size'])."</td></tr>
</tr>";
echo "</table>";
closetable();
tablebreak();
opentable($attach['attach_name']."[".$attach['attach_id']."]".$attach['attach_ext']);
echo "<form name='savetext' method='post' action='".FUSION_SELF."?attachid=".$attach['attach_id']."'>
<table align='center' width='200' cellspacing='0' cellpadding='0'>
<tr>
<td class='tbl'><textarea class='textbox' name='file_body' cols='100' rows='15'>$file_body</textarea></td>
</tr>
<tr>
<td align='center' class='tbl'>
<input type='submit' name='savetext' value='".$locale['ata238']."' class='button'></td>
</tr>
</table>
</form><br><br>\n";

echo "<br><center><a href='".INFUSIONS."attachments_admin/attachments_admin.php'>".$locale['ata226']."</a></center><br><br>";
closetable();
echo "</td>\n";
require_once BASEDIR."footer.php";
?>